Update tenant membership
PATCH
/tenants/{id}/memberships/{user_email}
const url = 'https://api.muninx.com/tenants/example/memberships/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"auto-assign-tickets":true,"organization":"example","role":"admin","status":"active"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.muninx.com/tenants/example/memberships/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "auto-assign-tickets": true, "organization": "example", "role": "admin", "status": "active" }'Partially updates a membership’s role, customer organization, or staff auto-assignment setting. Team assignment is derived from the resulting role.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Tenant organization ID
user_email
required
string
User email
Request Body required
Section titled “Request Body required ”Membership updates
Media type application/json
object
auto-assign-tickets
boolean
organization
string
role
string
status
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
auto-assign-tickets
boolean
email
string
organization
string
role
string
status
string
team-id
string
tenant-id
string
Example generated
{ "auto-assign-tickets": true, "email": "example", "organization": "example", "role": "example", "status": "example", "team-id": "example", "tenant-id": "example"}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}